classification
Title: Remove missing aliases from codecs documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Thomas Fenzl, docs@python, ezio.melotti, ncoghlan, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-04-25 08:30 by ncoghlan, last changed 2013-05-10 06:55 by ncoghlan. This issue is now closed.

Files
File name Uploaded Description Edit
issue17841_codecs_docu.patch Thomas Fenzl, 2013-05-01 12:34 review
Messages (5)
msg187769 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-04-25 08:30
The aliases for the bytes-bytes and str-str codecs are not present in 3.3, so the aliases should be removed from the corresponding standard encoding tables in the documentation.

http://docs.python.org/3/library/codecs#standard-encodings
msg188214 - (view) Author: Thomas Fenzl (Thomas Fenzl) * Date: 2013-05-01 12:34
This is a documentation patch against 3.3 with the aliases removed.
msg188802 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-10 02:22
New changeset ead47bc3a763 by Ezio Melotti in branch '3.3':
#17841: remove missing codecs aliases from the documentation.  Patch by Thomas Fenzl.
http://hg.python.org/cpython/rev/ead47bc3a763

New changeset eafff38a56cc by Ezio Melotti in branch 'default':
#17841: merge with 3.3.
http://hg.python.org/cpython/rev/eafff38a56cc
msg188803 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-10 02:29
Fixed, thanks for the patch!

@Nick
While this works as a short-term solution, I think it would be good to
 1) reintroduce the aliases in 3.4 (so that codecs.encode(b'foo', 'base64') works without spelling out the full codec name);
 2) either separate these codecs from the others, or tweak the error message of str.encode/bytes.decode to point to codecs.encode/decode.
Should I create a new issue and/or ask python-dev about this?
msg188813 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-05-10 06:55
For anyone else reading the issue and wondering about Ezio's question above - this issue was actually spun out from issue 7475, which covers the long saga of getting these codecs fully restored in the new world order of Python 3 :)
History
Date User Action Args
2013-05-10 06:55:46ncoghlansetmessages: + msg188813
2013-05-10 02:29:06ezio.melottisetstatus: open -> closed

assignee: docs@python -> ezio.melotti
versions: + Python 3.4
messages: + msg188803
type: behavior -> enhancement
resolution: fixed
stage: needs patch -> resolved
2013-05-10 02:22:27python-devsetnosy: + python-dev
messages: + msg188802
2013-05-01 12:34:31Thomas Fenzlsetfiles: + issue17841_codecs_docu.patch

nosy: + Thomas Fenzl
messages: + msg188214

keywords: + patch
2013-04-27 16:59:08ezio.melottisetkeywords: + easy
nosy: + ezio.melotti
2013-04-25 08:31:07ncoghlansetnosy: + docs@python
assignee: docs@python
components: + Documentation
type: behavior
stage: needs patch
2013-04-25 08:30:29ncoghlancreate